#include <amxmodx>
#include <fakemeta>

#define PLUGIN "CS Revo: HeadShot Maconhas"
#define VERSION "1.2"
#define AUTHOR "Wilian M."

new xPrecSpr[3]

static xResources[][] =
{
	"sprites/hs_maconha/r.spr",
	"sprites/hs_maconha/y.spr",
	"sprites/hs_maconha/g.spr"
}

public plugin_init()
{
	register_plugin(PLUGIN, VERSION, AUTHOR)
	
	register_event("DeathMsg", "xDeathMsg", "a")
}

public plugin_precache()
{
	for(new i = 0; i < sizeof(xResources); i++)
	{
		xPrecSpr[i] = precache_model(xResources[i])
	}
}

public xDeathMsg()
{
	new xHs = read_data(3)

	if(xHs)
	{
		new xVictim = read_data(2)

		static Float:originF[3], i
		pev(xVictim, pev_origin, originF)

		for(i = 0; i < sizeof(xResources); i++)
			xEffectDrugs(originF, 27, 50, 50, 1, 30, 50, xPrecSpr[i])
	}
}

stock xEffectDrugs(Float:originF[3], head, sprites, life, scale, velo, decals, spriteshow)
{	
	engfunc(EngFunc_MessageBegin, MSG_PVS, SVC_TEMPENTITY, originF, 0)
	write_byte(TE_SPRITETRAIL)
	engfunc(EngFunc_WriteCoord, originF[0]) // X
	engfunc(EngFunc_WriteCoord, originF[1]) // Y
	engfunc(EngFunc_WriteCoord, originF[2]+head) // Z
	engfunc(EngFunc_WriteCoord, originF[0]) // X
	engfunc(EngFunc_WriteCoord, originF[1]) // Y
	engfunc(EngFunc_WriteCoord, originF[2]+head) // Z
	write_short(spriteshow)
	write_byte(sprites) // quantas sprites vai sair...
	write_byte(life) // life
	write_byte(scale) // scale
	write_byte(velo) // velo
	write_byte(decals) // decals
	message_end()
}